Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.graph.connector.path
Class DefaultPathNode

    java.lang.Object
      org.modeshape.graph.connector.path.DefaultPathNode

All Implemented Interfaces:
  PathNode

    @Immutable
    public class DefaultPathNode

extends Object
implements PathNode

Default immutable implementation of `PathNode`

Constructor Summary
`DefaultPathNode(Path path, UUID uuid, Iterable<Property> properties, List<Path.Segment> childSegments)`
`DefaultPathNode(Path path, UUID uuid, Map<Name,Property> properties, List<Path.Segment> childSegments)`

Method Summary
`List<Path.Segment>` | `getChildSegments()`
`Path` | `getPath()` Returns the full path to this node
`Map<Name,Property>` | `getProperties()` Returns a map of property names to the property for the given name
`Property` | `getProperty(ExecutionContext context, String name)` Returns the named property
`Property` | `getProperty(Name name)` Returns the named property
`Set<Name>` | `getUniqueChildNames()` Returns the set of child names for this node
`UUID` | `getUuid()` Returns the UUID for this node.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DefaultPathNode

    public DefaultPathNode(Path path,
                           UUID uuid,
                           Map<Name,Property> properties,
                           List<Path.Segment> childSegments)

### DefaultPathNode

    public DefaultPathNode(Path path,
                           UUID uuid,
                           Iterable<Property> properties,
                           List<Path.Segment> childSegments)

Method Detail

### getChildSegments

    public List<Path.Segment> getChildSegments()

  Specified by:
    `getChildSegments` in interface `PathNode`
  Returns:
    children

### getPath

    public Path getPath()

  Description copied from interface: `PathNode`
  Returns the full path to this node

  Specified by:
    `getPath` in interface `PathNode`
  Returns:
    the full path to this node

### getUuid

    public UUID getUuid()

  Description copied from interface: `PathNode`
  Returns the UUID for this node. Only the root node in a `PathWorkspace` should have a UUID. All other nodes should return null from this method.

  Specified by:
    `getUuid` in interface `PathNode`
  Returns:
    the UUID for this node; may be null

### getProperties

    public Map<Name,Property> getProperties()

  Description copied from interface: `PathNode`
  Returns a map of property names to the property for the given name

  Specified by:
    `getProperties` in interface `PathNode`
  Returns:
    a map of property names to the property for the given name

### getProperty

    public Property getProperty(ExecutionContext context,
                                String name)

  Description copied from interface: `PathNode`
  Returns the named property

  Specified by:
    `getProperty` in interface `PathNode`
  Parameters:
    `context` - the current execution context, used to get a `name factory`
    `name` - the name of the property to return
  Returns:
    the property for the given name

### getProperty

    public Property getProperty(Name name)

  Description copied from interface: `PathNode`
  Returns the named property

  Specified by:
    `getProperty` in interface `PathNode`
  Parameters:
    `name` - the name of the property to return
  Returns:
    the property for the given name

### getUniqueChildNames

    public Set<Name> getUniqueChildNames()

  Description copied from interface: `PathNode`
  Returns the set of child names for this node

  Specified by:
    `getUniqueChildNames` in interface `PathNode`
  Returns:
    the set of child names for this node

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.